Skip to main content
GET
/
v1
/
billing
/
history
List user payment history
curl --request GET \
  --url https://api.polyfeed.dev/v1/billing/history
{
  "data": [
    {
      "id": "f1c8b3a2-9d4e-4b7a-8c5f-2e6d1a3b4c5e",
      "provider": "x402",
      "providerRef": "0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890",
      "amountUsd": "19.9000",
      "purpose": "sub",
      "confirmedAt": "2026-05-12T17:00:00.000Z",
      "createdAt": "2026-05-12T17:00:00.000Z",
      "metadata": {
        "network": "eip155:137",
        "token": {
          "address": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
          "symbol": "USDC"
        },
        "amount": "19900000"
      }
    }
  ],
  "nextBefore": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://polyfeed.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

provider
enum<string>
Available options:
x402
purpose
enum<string>
Available options:
sub,
per-request
before
string<date-time>
limit
integer
default:20
Required range: 1 <= x <= 100

Response

200 - application/json

OK

data
object[]
required
nextBefore
string | null
required